import BibtexParser from "../components/makeSources";

export function TestSource(){
  const bibtexSources = [
    `
    @article{Ensinck_Deeersmaecker_Heylen_Ramalho_Gijsbers_Far,
	title        = {
		Phenotyping of Rare CFTR Mutations Reveals Distinct Trafficking and
		Functional Defects
	},
	author       = {
		Ensinck, Marjolein and De Keersmaecker, Liesbeth and Heylen, Lise and
		Ramalho, Anabela S. and Gijsbers, Rik and Farré, Ricard and De Boeck, Kris
		and Christ, Frauke and Debyser, Zeger and Carlon, Marianne S.
	},
	year         = 2020,
	month        = mar,
	journal      = {Cells},
	volume       = 9,
	number       = 3,
	pages        = 754,
	doi          = {10.3390/cells9030754},
	issn         = {2073-4409},
	abstractnote = {
		Background. The most common CFTR mutation, F508del, presents with multiple
		cellular defects. However, the possible multiple defects caused by many rarer
		CFTR mutations are not well studied. We investigated four rare CFTR mutations
		E60K, G85E, E92K and A455E against well-characterized mutations, F508del and
		G551D, and their responses to corrector VX-809 and/or potentiator VX-770.
		Methods. Using complementary assays in HEK293T stable cell lines, we
		determined maturation by Western blotting, trafficking by flow cytometry
		using extracellular 3HA-tagged CFTR, and function by halide-sensitive YFP
		quenching. In the forskolin-induced swelling assay in intestinal organoids,
		we validated the effect of tagged versus endogenous CFTR. Results. Treatment
		with VX-809 significantly restored maturation, PM localization and function
		of both E60K and E92K. Mechanistically, VX-809 not only raised the total
		amount of CFTR, but significantly increased the traffic efficiency, which was
		not the case for A455E. G85E was refractory to VX-809 and VX-770 treatment.
		Conclusions. Since no single model or assay allows deciphering all defects at
		once, we propose a combination of phenotypic assays to collect rapid and
		early insights into the multiple defects of CFTR variants.
	},
	language     = {eng}
}
    `
  ];

  return (
    <div>
      <h1>BibTeX to HTML in React</h1>
      <BibtexParser bibtexSources={bibtexSources} />
    </div>
  );
}

export default TestSource;